:root {
    --black-1: #000000;
    --black-2: #111111;
    --gray-1: #787878;
}

.font-roboto {
    font-family: "Roboto", serif;
}

.header {
    font-size: 100px;
}

.title-50 {
    font-size: 50px;
}

.title-20 {
    font-size: 20px;
}

.body-text {
    font-size: 20px;
}

.text-leading {
    color: var(--gray-1);
    letter-spacing: 4px;
    font-size: 20px;
    line-height: 100px;
}

/* hero section call to action button */
.hero-cta {
    display: inline-flex;
    align-items: center;
    column-gap: 8px;
    margin-top: 72px;
    background-color: #040404;
    border: 1px solid #848484;
    border-radius: 100px;
    padding: 16px 40px;
    color: #fff;
    font-weight: 500;
    font-size: 16px;
    letter-spacing: 0.1em;
    transition: all 300ms ease-out;
    position: relative;
}

.hero-cta:hover {
    border: 1px solid #fff;
    color: #fff;
    transition: width 300ms ease-out;
}

.hero-cta-icon {
    color: #9d9d9d;
}

.hero-cta:hover .hero-cta-icon {
    opacity: 1;
    display: block;
    color: white;
    transform: translate(4px, -4px);
}
/* ==============X=============== */

/* services slider css customization */
.explore-project-2 {
    padding-inline: 0.75rem;
}
.explore-project-2 .project-item {
    margin-bottom: 1.5rem;
}
.explore-project-2 .project-name h2 {
    font-size: 1.25rem;
    margin-top: 1.5rem;
}

@media screen and (max-width: 1200px) {
    .project-slider .swiper-slide .slide-wrap .slide-text p {
        padding-right: 10px;
    }
    .banner-img video {
        width: 100%;
    }
}
/* ==============X=============== */

.projects-section {
    margin-top: 250px;
}

.projects-section .section-title-2 {
    display: none;
    color: #424242;
}
.who-we-are-2 {
    display: none;
}
.who-we-are-2 .section-title {
    font-size: 2.875rem;
}
.from-area-1 {
    padding: 0;
    margin: 150px 0 0 0;
}

@media screen and (max-width: 992px) {
    .who-we-are-2 {
        display: block;
        margin-top: 3rem;
    }
    .projects-section .section-title-2 {
        display: block;
        font-size: 1.875rem;
    }
    .project-slider-area {
        margin-top: 0.625rem;
    }
    .landscape-wrap .project-content .project-name {
        margin-top: 0.5rem;
    }
}

.text-leading span {
    display: inline-block;
}
.section-header {
    padding: 0px 0 40px 0;
}
.section-title {
    font-family: "Roboto";
    font-weight: 400;
    font-size: 50px;
    line-height: 59px;
    /* letter-spacing: 1px; */
    text-transform: uppercase;
    color: #1b1717;
}
.our-heroes-area .section-title {
    color: #fff;
}
.section-subheading {
    font-family: "Roboto";
    font-weight: 400;
    font-size: 20px;
    letter-spacing: 0.2em;
    color: #898989;
}

.principle-header {
    padding-bottom: 124px;
}

.project-details-click {
    position: absolute;
    display: flex;
    align-items: center;
    gap: 0.5rem;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 10;
    opacity: 0;
    width: 120px;
    height: 30px;
    transition: all 0.4s ease-in;
}

.project-details-click img {
    position: absolute;
    z-index: 10;
    width: 2.5rem;
    left: 50%;
    transform: translateX(-25%);
}
.project-details-click .see-details {
    position: absolute;
    left: 50%;
    transform: translateX(-25%);
    z-index: 9;
    text-transform: uppercase;
    font-size: 1rem;
    width: 100%;
    opacity: 0;
}
.project-details-click:hover .see-details {
    opacity: 1;
    right: 0;
    transform: translateX(-15%);
}
.project-details-click:hover img {
    left: 0;
    transform: translateX(0);
}
.project-img:hover .project-details-click {
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 10;
    opacity: 1;
}

.project-details-click:hover::after {
    visibility: visible;
    opacity: 1;
}

.contact-area .right-side {
    flex: 1;
    position: relative;
    overflow: hidden;
    cursor: pointer;
    transition: all 0.3s ease-in;
}
.contact-area .right-side img {
    height: 100%;
    object-fit: cover;
    margin: 0;
    padding: 0;
}

.contact-area .right-side:hover img {
    scale: 1.1;
}

/* home services slider */
.home-services-section {
    margin-bottom: 120px;
    position: relative;
    margin-top: 50px;
}
.home-services-section .swiper-navigation {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.swiper-button-prev::after,
.swiper-button-next::after {
    display: none;
}
.swiper-navigation .swiper-buttons {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.swiper-navigation .swiper-buttons .swiper-button-prev {
    margin-left: -25px;
}
.swiper-navigation .swiper-buttons .swiper-button-next {
    margin-right: -25px;
}
.swiper-navigation .swiper-buttons .swiper-button-prev,
.swiper-navigation .swiper-buttons .swiper-button-next {
    width: 65px;
    height: 65px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    border: 1px solid #ababab;
    background-color: #fff;
    transition: all 0.1s linear;
}
.swiper-navigation .swiper-buttons .swiper-button-prev:hover,
.swiper-navigation .swiper-buttons .swiper-button-next:hover {
    background-color: #000;
}
.swiper-navigation .swiper-buttons .swiper-button-prev:hover svg path,
.swiper-navigation .swiper-buttons .swiper-button-next:hover svg path {
    fill: #fff;
}
.swiper-navigation .swiper-buttons svg {
    width: 26px;
}
.services-article {
    aspect-ratio: 0.85 / 1;
    position: relative;
    overflow: hidden;
}
.services-article .services-content {
    position: absolute;
    z-index: 3;
    top: 0;
    left: 0;
    padding: 25px;
    color: #fff;
    transition: all 0.1s linear;
}
.services-article .services-content h3 {
    font-size: 30px;
    line-height: 40px;
    margin-bottom: 10px;
    font-weight: 500;
}
.services-article .services-content p {
    font-size: 16px;
    line-height: 27px;
}
.services-article .services-image-container {
    height: 100%;
}
.services-article .services-image-container .services-image {
    object-fit: cover;
    height: 100%;
    width: 100%;
}
.services-article .services-image-container .slide-icon {
    position: absolute;
    left: 25px;
    bottom: 25px;
    visibility: hidden;
    opacity: 0;
}
.services-article a::after {
    position: absolute;
    content: "";
    background: linear-gradient(180deg, #000000cc, #00000000 80%);
    top: 0;
    left: 0;
    right: 0;
    z-index: 2;
    bottom: 55%;
}
.services-article:nth-child(1):hover a::after {
    background: linear-gradient(180deg, #c97e11, #00000000);
    opacity: 0.8;
}

.services-article:nth-child(2):hover a::after {
    background: linear-gradient(180deg, #006c62, #00000000);
    opacity: 0.8;
}

.services-article:nth-child(3):hover a::after {
    background: linear-gradient(180deg, #b55b30, #00000000);
    opacity: 0.8;
}

.services-article:nth-child(4):hover a::after {
    background: linear-gradient(180deg, #158f3f, #00000000);
    opacity: 0.8;
}
.services-article a:hover .services-image {
    scale: 1.05;
}
.services-article a:hover .slide-icon {
    visibility: visible;
    opacity: 1;
}

/* home page brands section slider */
.experience-slider {
    width: fit-content;
    height: 100px;
    overflow: hidden;
    border-radius: 10px;
    margin-left: 0;
}
.experience-slider .swiper-slide {
    display: flex;
    align-items: center;
    gap: 30px;
    height: 100%;
}
/* service details page */
.explore-services-title {
    font-size: 25px;
    letter-spacing: 4px;
    font-weight: 500;
}

/* responsive codes */
@media (max-width: 1024px) {
    .hero-cta {
        padding: 14px 30px;
        font-size: 14px;
    }
}

@media (max-width: 992px) {
    .text-leading {
        text-align: center;
    }
    .hero-cta {
        margin-top: 40px;
    }
    /* we are area home page */
    .we-are-area.home-page .section-subheading {
        text-align: center;
    }
    .we-are-area {
        margin-top: 10rem;
    }
    .experience-slider {
        display: none;
    }
    .swiper-navigation .swiper-buttons .swiper-button-prev {
        margin-left: 25px;
    }
    .swiper-navigation .swiper-buttons .swiper-button-next {
        margin-right: 25px;
    }
}

@media (max-width: 768px) {
    .hero-cta {
        margin-bottom: 0px;
    }
    .banner-title {
        margin-bottom: 40px;
    }
    .contact-cta {
        display: inline-flex;
        margin-top: 40px;
    }
    .we-are-area {
        margin-top: 8rem;
    }
    .services-article:nth-child(1) a::after {
        background: linear-gradient(180deg, #c97e11, #00000000);
        opacity: 0.8;
    }

    .services-article:nth-child(2) a::after {
        background: linear-gradient(180deg, #006c62, #00000000);
        opacity: 0.8;
    }

    .services-article:nth-child(3) a::after {
        background: linear-gradient(180deg, #b55b30, #00000000);
        opacity: 0.8;
    }

    .services-article:nth-child(4) a::after {
        background: linear-gradient(180deg, #158f3f, #00000000);
        opacity: 0.8;
    }
    .home-services-section {
        /* padding-right: 0; */
        overflow: hidden;
        margin-top: 40px;
        margin-bottom: 0px;
    }
    .swiper-navigation .swiper-buttons .swiper-button-prev,
    .swiper-navigation .swiper-buttons .swiper-button-next {
        width: 40px;
        height: 40px;
    }
    .swiper-navigation .swiper-buttons svg {
        width: 20px;
    }
    .swiper-navigation .swiper-buttons .swiper-button-prev {
        margin-left: 0px;
    }
    .swiper-navigation .swiper-buttons .swiper-button-next {
        margin-right: 0px;
    }
    .projects-section {
        margin-top: 150px;
    }
}

@media (max-width: 576px) {
    .projects-section {
        margin-top: 100px;
    }
    .banner-subtitle.subtitle-2 {
        margin-bottom: 40px;
    }
    .contact-cta {
        margin-top: 0;
    }
    .swiper-navigation .swiper-buttons .swiper-button-prev,
    .swiper-navigation .swiper-buttons .swiper-button-next {
        width: 36px;
        height: 36px;
    }
    .swiper-navigation .swiper-buttons svg {
        width: 18px;
    }
    .swiper-navigation .swiper-buttons .swiper-button-prev {
        margin-left: -6px;
    }
    .swiper-navigation .swiper-buttons .swiper-button-next {
        margin-right: -6px;
    }
    .explore-project-2 .project-name h2 {
        font-size: 14px;
        margin-top: 10px;
    }
    .more-projects-button {
        margin-top: 50px;
        font-size: 14px;
        width: 100%;
    }
    .our-heroes-area .section-title h2 {
        font-size: 25px;
        letter-spacing: 4px;
    }
    .about-static-title h2 {
        font-size: 25px;
    }
    .about-static-description p {
        font-size: 14px;
    }
    .about-slider-img {
        height: 200px;
    }
    .explore-services-title {
        font-size: 16px;
        text-align: center;
    }
    .services-article .services-content h3 {
        font-size: 25px;
    }
    .services-article .services-content p {
        font-size: 14px;
    }
    .we-are-area {
        margin-top: 50px;
    }
    .from-area-1 {
        margin-top: 100px;
    }
    .from-subtitle {
        margin-bottom: 35px;
    }
}

@media (max-width: 320px) {
    .text-leading {
        font-size: 14px;
        text-align: center;
    }

    .section-header {
        text-align: center;
    }
    .section-title h2 {
        font-size: 24px;
        font-weight: 500;
    }
    .section-subheading {
        margin-top: 12px;
        font-size: 14px;
    }
    .lets-talk h2 {
        font-size: 24px;
        font-weight: 500;
    }
    .from-experience h2 {
        line-height: 100px;
    }
}
